Classes | Namespaces | Macros | Enumerations
VSDTypes.h File Reference
`#include <vector>`
`#include <map>`
`#include <librevenge/librevenge.h>`

Go to the source code of this file.

## Classes
struct | libvisio::XForm
struct | libvisio::XForm1D
struct | libvisio::ChunkHeader
struct | libvisio::Colour
struct | libvisio::NURBSData
struct | libvisio::PolylineData
struct | libvisio::ForeignData
class | libvisio::VSDName
struct | libvisio::VSDFont
struct | libvisio::VSDMisc
struct | libvisio::VSDTabStop
struct | libvisio::VSDTabSet
struct | libvisio::VSDBullet

## Namespaces
| libvisio

## Macros
#define | ASSIGN_OPTIONAL(t, u) if(!!t) u = t.get()
#define | MINUS_ONE (unsigned)-1

## Enumerations
enum | libvisio::TextFormat { libvisio::VSD_TEXT_ANSI = 0, libvisio::VSD_TEXT_SYMBOL, libvisio::VSD_TEXT_GREEK, libvisio::VSD_TEXT_TURKISH, libvisio::VSD_TEXT_VIETNAMESE, libvisio::VSD_TEXT_HEBREW, libvisio::VSD_TEXT_ARABIC, libvisio::VSD_TEXT_BALTIC, libvisio::VSD_TEXT_RUSSIAN, libvisio::VSD_TEXT_THAI, libvisio::VSD_TEXT_CENTRAL_EUROPE, libvisio::VSD_TEXT_JAPANESE, libvisio::VSD_TEXT_KOREAN, libvisio::VSD_TEXT_CHINESE_SIMPLIFIED, libvisio::VSD_TEXT_CHINESE_TRADITIONAL, libvisio::VSD_TEXT_UTF8, libvisio::VSD_TEXT_UTF16 }

## Macro Definition Documentation

## ◆ ASSIGN_OPTIONAL

#define ASSIGN_OPTIONAL | ( |  | t,
|  |  | u
| ) |  | if(!!t) u = t.get()

## ◆ MINUS_ONE

#define MINUS_ONE (unsigned)-1